A Sandcastle Documented Class Library
A Sandcastle Documented Class Library
butterflow_ui
AboutWindow Class
App Class
BoolVisibilityConverter Class
ButterflowOption Class
ButterflowSubregion Class
ButterflowWrapper Class
ButterflowWrapper.ButterflowConsoleOutputArgs Class
ButterflowWrapper.ButterflowExitArgs Class
ButterflowWrapper.ButterflowOutputArgs Class
ButterflowWrapper.ButterflowOutputType Enumeration
FlowFilterType Enumeration
InverseBoolConverter Class
InverseBoolVisibilityConverter Class
MainWindow Class
OctokitWrapper Class
OctokitWrapper.VersionStatus Enumeration
OptionsConfiguration Class
OptionsConfigurationFile Class
OptionsWindow Class
PropertyChangedAlerter Class
RegionType Enumeration

# OctokitWrapper VersionStatus Enumeration

Values that represent version status of the current installation of butterflow-ui.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    public enum VersionStatus

Members

| Member name | Value | Description
--- | --- | --- | ---
| current | 0 | The current version is up to date with the github repository.
| behind | 1 | The current version is behind the github repository and should be updated.
| custom | 2 | The current version is ahead of the github repository, or is a custom version of butterflow-ui that cannot be compared to the github repository.
| unknown | 3 | Github failed to respond with the current version. This could be because of rate limits or a network failure.

See Also

#### Reference

butterflow_ui Namespace